from es import AddonInfo
from es import getAddonPath
from es import keycreate
from es import keygroupcreate
from es import keygroupdelete
from es import exists
from es import tell
from es import server
from es import ServerVar
from langlib import Strings
from playerlib import getPlayer
from datetime import datetime

translate = None
date_function = None
count_player = 0

info = AddonInfo()
info.name = "Player's Count"
info.version  = "1.0"
info.author = "Vitamin"
info.description = "Used chat-command !count for showed count's players which visit this server"
info.basename = "count_player"

def load():
	ServerVar("es_player_count", info.version).makepublic()
	keygroupcreate("list_player")
	global translate
	global date_function
	date_function = datetime.today().strftime("%d")
	translate = Strings(getAddonPath("count_player") + "/count_player.ini")
	
	
def unload():
	if exists("keygroup", "list_player"):
		keygroupdelete("list_player")
		
def player_activate(ev):
	steamid = ev["es_steamid"]
	if steamid != "BOT" and not exists("key", "list_player", steamid):
		global count_player
		if date_function == datetime.today().strftime("%d"):
			keycreate("list_player", steamid)
			count_player += 1
		else:
			if exists("keygroup", "list_player"):
				keygroupdelete("list_player")
				keygroupcreate("list_player")
				count_player = 0
		
def player_say(ev):
	userid = ev["userid"]
	if userid != "0" and ev["text"] == "!count":
		global count_player
		text = {}
		text["count"] = count_player
		tell(userid, "#multi", translate("Count Players", {"count": count_player}, getPlayer(userid).getLanguage()))